<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<center>
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" class="main-bg">
<tr>
<td  width="100%" style="height:60px ">
	<div style="width:780px;height:1px "></div>
	  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
        <td width="97px"><img src="images/chr_01.gif" /></td>
        <td width="100%" style="background-image:url(images/chr_02.gif); padding-left:20px ">
		<!-- MENU -->
		<table cellpadding="0" cellspacing="0" >
			<tr>
			    <xsl:call-template name="TOP-MENU"/>
			</tr>
		</table>
	<!-- END MENU -->
		</td>
        <td width="39px"><img src="images/chr_06.gif" /></td>
      </tr>
    </table>
</td>
</tr>
<tr>
<td valign="top" style="height:265" background="images/bg.gif">
	<table  border="0" cellspacing="0" cellpadding="0" style="width:100% ">
      <tr>
        <td  style="width:440px "><img src="images/header.jpg" border="0" alt=""/></td>
        <td style="background-image:url(images/chr_13.gif)"><table width="340" border="0" align="right" cellpadding="0" cellspacing="0">
          <tr>
            <td><table cellpadding="0" cellspacing="0" align="center" width="280">
              <tr>
                <td width="40" align="left"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                <td width="240" align="left" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
              </tr>
              <tr>
			  	<td align="center"></td>
                <td align="left" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              </tr>
            </table></td>
          </tr>
        </table>
	 <!-- LOGO -->
		<!-- END LOGO --></td>
        </tr>
    </table>
</td>
</tr>
<tr>
<td height="100%"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" class="main-bg">
  <tr>
    <td width="235" rowspan="2" valign="top"><table border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td><img src="images/chr_20.gif" width="222" height="41" /></td>
          <td><img src="images/chr_21.gif" width="13" height="41" /></td>
        </tr>
        <tr>
          <td valign="top" background="images/777.gif"><!-- SUBMENU -->
              <table cellpadding="0" cellspacing="0" width="150" align="center">
                <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
              </table>
              <!-- END SUBMENU -->
          </td>
          <td height="178" valign="top" background="images/chr_27bg.gif">
		  <img src="images/chr_27.gif" width="13" height="178"/>
		  </td>
        </tr>
        <tr>
          <td><img src="images/chr_37.gif" width="222" height="37" /></td>
          <td><img src="images/chr_38.gif" width="13" height="37" /></td>
        </tr>
    </table></td>
    <td width="100%" height="100%" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td style="background-image:url(images/chr_22.gif); height:41px "></td>
        </tr>
        <tr>
          <td><table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
              <tr>
                <td valign="top"  class="pageContent" style="padding: 25px;"><!-- CONTENT -->
                    <table cellpadding="0" cellspacing="0" border="0">
                      <tr>
                        <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                        <td style="padding-left: 5px;"><img src="images/chr_30.gif" alt="" width="17" height="17" border="0"/></td>
                      </tr>
                    </table>
                    <table width="100%" border="0" cellspacing="0">
                      <tr>
                        <td height="20"></td>
                      </tr>
                      <tr>
                        <td name="SB_stretch" class="pageContent" ><xsl:apply-templates select="PAGE-CONTENT"/> </td>
                      </tr>
                      <tr>
                        <td height="20"></td>
                      </tr>
                    </table>
                    <!-- END CONTENT -->
                </td>
              </tr>
          </table></td>
        </tr>
    </table></td>
  </tr>
  <tr>
    <td height="83" align="right" valign="bottom" >
	<table   border="0" cellspacing="0" cellpadding="0" style="background-color:#7E7E7E ">
        <tr >
          <td rowspan="2"><img src="images/chr_41.gif" width="43" height="83" /></td>
          <td valign="top"><img src="images/chr_42.gif" width="290" height="30" /></td>
          <td valign="top"></td>
        </tr>
        <tr>
          <td height="53" colspan="2" valign="middle"  style="padding-right:20px"><div align="right" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div></td>
        </tr>
    </table></td>
  </tr>
</table>
</td>
</tr>
</table>
</center>
	<!--sw_sb_ms-->
	</BODY>
	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<!--2222222-->	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
		 <tr>
		   <td style="padding-left: 2px; width: 100%;" class="asubmenu">
		      <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
		   </td>
		 </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
		 <tr>
		   <td style="padding-left: 2px; width: 100%;"><a href="{@HREF}" class="submenu">
		      <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
		   </td>
		 </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		 <tr>
		   <td colspan="2" height="6">
		     <img src="images/line.gif" height="1" />
		   </td>
		 </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		  <td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>   
        </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			   <td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			  <td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			 <td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
