<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;">
<center>
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td height="75" align="center" bgcolor="#FFFFFF"><div style="height:0px;width:780px;"></div>
	<!-- MENU -->
          <table cellpadding="0" cellspacing="0" align="center">
            <tr>
<xsl:call-template name="TOP-MENU"/>
            </tr>
          </table>
          <!-- END MENU --></td>
  </tr>
  <tr>
    <td height="250" style="background-image: url('images/header_bg.jpg'); background-position: left; background-repeat: repeat-x;"><table width="100%" height="250" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td height="250" style="background-image: url('images/header.jpg'); background-position: left; background-repeat: no-repeat;"><table width="100%" height="250" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td style="background-image: url('images/header_rightbg.gif'); background-position: right bottom; background-repeat: no-repeat;padding-left:85px;"><!-- LOGO --><table border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td valign="middle" class="logo"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
</td>
            <td bgcolor="#DF0252"><table width="100%" border="0" cellpadding="6" cellspacing="0">
              <tr>
                <td align="center"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="150" bgcolor="#DF0252" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
</td>
                  </tr>
                  <tr>
                    <td width="150" bgcolor="#DF0252" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
</td>
                  </tr>
                  
                </table></td>
              </tr>
            </table></td>
          </tr>
          
        </table><!-- END LOGO --></td>
      </tr>
    </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="63" style="background-image: url('images/txtheader_bg2.gif');background-repeat: repeat;">
	<table width="100%" height="63" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td style="background-image: url('images/txtheader_bg1.jpg'); background-position: left; background-repeat: no-repeat;">
		<table width="100%" height="63" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td style="background-image: url('images/txtheader_bg3.gif'); background-position: right; background-repeat: no-repeat;"></td>
      </tr>
    </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="100%" style="background-image: url('images/txtright_bg2.jpg'); background-position: right; background-repeat: repeat-y;">
	<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" style="width: 100%; height: 100%;background-image: url('images/txtleft_bg2.jpg'); background-position: left bottom; background-repeat: repeat-y;">
      <tr>
        <td width="265" valign="top"  style="background-image: url('images/txtleft_bg3.jpg'); background-position: left bottom; background-repeat: no-repeat;">
		<table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
          <tr>
            <td ><table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
          <tr>
            <td align="right" valign="top" style="background-image: url('images/txtleft_bg1.jpg'); background-position: left top; background-repeat: no-repeat;padding-top:20px;"><div style="height:1px;width:260px;"></div><table width="200" border="0" cellpadding="5" cellspacing="0" bgcolor="f6f6f6">
              <tr>
                <td><table width="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
                  <tr>
                    <td align="center" style="padding-bottom:30px;padding-top:30px;"><!-- SUBMENU -->
                      <table cellpadding="0" cellspacing="0" width="160">
                        <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                      </table>
                      <span style="height:44px;background-image: url('images/menu_bg.gif');  background-repeat: repeat-x;"></span>
                      <!-- END SUBMENU --></td>
                  </tr>
                </table></td>
              </tr>
            </table><div style="height:65px;width:px;"></div></td>
            </tr>
        </table></td>
            </tr>
        </table></td>
        <td width="100%" height="100%" valign="top" style="padding:20px;background-image: url('images/txt_bg.gif'); background-repeat: repeat;">      <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td><table cellpadding="0" cellspacing="0" border="0">
              <tr>
                <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                <td class="text-header" style="padding-left:15px;"><img src="images/txtheader_bullet.gif"/></td>
              </tr>
            </table>
              </td>
          </tr>
          <tr>
            <td height="100%" valign="top">
			<table border="0" cellspacing="0" cellpadding="0" width="100%">
              <tr>
                <td class="pageContent" name="SB_stretch" width="100%" valign="top"><xsl:apply-templates select="PAGE-CONTENT"/> </td>
              </tr>
            </table>
			</td>
          </tr>
          <tr>
			<td align="right" style="padding-top:20px;" valign="bottom" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/> </td>
          </tr>
        </table></td>
        <td width="100"  style="background-image: url('images/txtright_bg3.jpg'); background-position: left bottom; background-repeat: no-repeat;"><div style="height:1px;width:100px;"></div><table width="100" border="0" cellpadding="0" cellspacing="0" style="width: 100%; height: 100%;">
          <tr>
            <td ></td>
            </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
</table>
</center>
</body>
	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
<td height="15" style="width: 15px;"></td>
<td height="15" style="padding-left: 1px; align:left;"><span class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
<td height="15" align="center" class="submenu-bg" style="padding-left: 1px; align:left;">
<xsl:if test="position()&lt;10">0</xsl:if>
<xsl:value-of select="position()"/>
</td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
<td height="20" style="width: 15px;"></td>
<td height="20" style="padding-left: 1px; align:left;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
<td width="30" height="20" align="center" class="submenu" style="padding-left: 1px; align:left;">
<xsl:if test="position()&lt;10">0</xsl:if>
<xsl:value-of select="position()"/>
</td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
                        <tr>
                          <td colspan="3" height="15"><div class="menu-hr" style="height:1px;"><span></span></div></td>
                        </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
           </xsl:when>
           <xsl:otherwise>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
