<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF" >
  <tr>
    <td height="85" colspan="3" align="center" style="padding:0 150px;background-image: url('images/menu_bg.gif');background-position: left;background-repeat: repeat;">
	<!-- MENU -->
	<table cellpadding="0" cellspacing="0" align="center">
	<tr>
	<xsl:call-template name="TOP-MENU"/>
	</tr>
	</table>
    <!-- END MENU -->
	</td>
	</tr>
  <tr>
    <td width="80" height="100%" valign="top"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
<td width="80" height="100%" valign="top" style="background-image: url('images/main_leftbg3.gif');background-position: right;background-repeat: repeat-y;"><img src="images/main_leftbg.gif" /></td>      </tr>
      <tr>
    <td valign="bottom"><img src="images/main_leftbg2.gif" width="80" height="499"/></td>
      </tr>
    </table></td>
	<td width="250" height="100%" align="center" valign="top" style="background-image: url(images/submenu_bg-02.gif);">	<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td height="100%" align="center" valign="top">
		<table width="250" height="180" border="0" cellpadding="0" cellspacing="0" style="background-image: url('images/logo_bg.gif'); background-position: left top; background-repeat: no-repeat;">
          <tr>
            <td align="center"><table width="200" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td align="right"><!-- LOGO -->
                      <table border="0" cellpadding="0" cellspacing="0">
                        <tr>
                          <td valign="middle" class="logo"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a> </td>
                          <td><table  border="0" cellpadding="6" cellspacing="0">
                              <tr>
                                <td align="center"><table border="0" cellspacing="0" cellpadding="0">
                                    <tr>
                                      <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/> </td>
                                    </tr>
                                    <tr>
                                      <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/> </td>
                                    </tr>
                                </table></td>
                              </tr>
                          </table></td>
                        </tr>
                      </table>
                      <!-- END LOGO --></td>
                </tr>
            </table></td>
          </tr>
        </table>
          <table  border="0" cellspacing="0" cellpadding="20" style="background-image: url(images/submenu_bg-02.gif);background-position: left;background-repeat: repeat;">
            <tr>
              <td align="right" style="padding-right:20px;"><!-- SUBMENU -->
                  <table width="180" align="center" cellpadding="0" cellspacing="0">
                    <xsl:call-template name="SUB-MENU"> <xsl:with-param name="pageID" select="@ID"/> </xsl:call-template>
                  </table>
                  <!-- END SUBMENU --></td>
            </tr>
          </table></td>
      </tr>
      <tr>
        <td width="100%" valign="bottom" background="images/txt_botbg1.gif" style="padding-bottom:9px;background-position:bottom;background-repeat:repeat-x;"><img src="images/submenu_botbg.gif"/></td>
      </tr>
    </table></td>
		    <td height="100%" width="100%" valign="top"  style="background-image: url('images/submenu_bg-02.gif');background-position: left;background-repeat: repeat;">  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td><table width="100%" height="287" border="0" cellpadding="0" cellspacing="0" style="background-image: url('images/header_bg.gif');background-position: left;background-repeat: repeat;">
                    <tr>
                      <td height="287" align="center" style="padding-top:16px;"><img src="images/header.jpg" /></td>
                      <td width="81"><img src="images/header_rightbg.gif" /></td>
                    </tr>
                  </table></td>
                </tr>
                <tr>
                  <td width="100%" height="100%" valign="top"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" >
                    <tr>
                      <td width="100%" height="100%" valign="top"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                          <tr>
                            <td width="100%" height="100%" valign="top"><!-- CONTENT -->
                                <table cellpadding="0" cellspacing="0" border="0">
                                  <tr>
                                    <td class="pageContent"><span  class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
                                    <td class="text-header" style="padding-left:15px;"><img src="images/txtheader_bullet.gif"/></td>
                                  </tr>
                                </table>
                                <div style="height:15px;width:329px;"><span></span></div>
                                <table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
                                  <tr>
                                    <td width="100%" height="100%" class="pageContent" name="SB_stretch" valign="top"><xsl:apply-templates select="PAGE-CONTENT"/> </td>
                                  </tr>
                                </table>
                                <!-- END CONTENT -->
                            </td>
                          </tr>
                      </table></td>
                      <td width="81" valign="bottom" bgcolor="#4692C6"><img src="images/main_rightbg.gif" width="81" height="265" /></td>
                    </tr>
                  </table></td>
                </tr>
                <tr>
                  <td style="background-image: url('images/main_rightbg2.gif');background-position: right;background-repeat: repeat-y;"><table width="100%" border="0" cellpadding="0" cellspacing="0">
                    <tr>
                      <td align="right" background="images/txt_botbg1.gif" style="background-position:bottom;background-repeat:repeat-x;"><img src="images/txt_botrightbg.gif" width="148" height="77"/></td>
                    </tr>
                  </table></td>
                </tr>
              </table></td>
  </tr>
  <tr>
    <td height="80" colspan="3" align="right" style="padding:0 80px;">
	<table border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td align="right" class="copyright"><!-- FOOTER --><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>

                    <!-- END FOOTER --></td>
                </tr>
    </table>
	</td>
  </tr>
</table>
</center>
</body><!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >

<tr>
<td align="left">
<table border="0" cellspacing="0" cellpadding="0">
<tr>
<td width="50" height="20" align="right"><img src="images/submenu_bullet.gif" /></td>
<td height="20" style="padding-left: 1px; align:left;" class="submenua">
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
</tr>
</table>
</td>
</tr>

		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">

<tr>
<td align="left">
<table border="0" cellspacing="0" cellpadding="0">
<tr>
<td width="50" height="20" align="right"><img src="images/submenu_bullet.gif" /></td>
<td height="20" style="padding-left: 1px; align:left;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</tr>
</table>
</td>
</tr>

		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<tr>
<td colspan="2" height="15"><div class="menu-hr" style="height:1px;"><span></span></div></td>
</tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >

<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

<td class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>

           </xsl:when>
           <xsl:otherwise>

<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

<td width="5"></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
