<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

 
	<xsl:template match="MENU" mode="sub">
		<xsl:apply-templates select="MENU-ITEM"  mode="sub"/>
	</xsl:template> 
				

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
       			<tr>
       			<td class="menuitemactive"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
       			<td><a href="{@HREF}"><img src="images/mark.gif" width="13" height="14" border="0" alt=""/></a></td>
       			</tr>
            </xsl:when>
            <!-- when active-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
       			<tr>
       			<td class="menuitemactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
       			<td><img src="images/mark.gif" width="13" height="14" border="0" alt=""/></td>
       			</tr>
            </xsl:when>
            <xsl:otherwise>
       			<tr>
       			<td class="menuitem"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
       			<td><a href="{@HREF}"><img src="images/mark.gif" width="13" height="14" border="0" alt=""/></a></td>
       			</tr>
            </xsl:otherwise>
	    </xsl:choose>
	    <xsl:if test="position()!=last()">
   			<tr><td colspan="2" class="menudivider" style="background-image: url('images/menudivider.gif'); background-repeat: repeat-x;"></td></tr>
	    </xsl:if>
	</xsl:template>


	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
       			<tr>
       			<td><img src="images/2ndmenu_mark.gif" width="19" height="10" border="0" alt=""/></td>
       			<td class="secondmenuitemactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
       			</tr>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
        			<tr>
        			<td><a href="{@HREF}"><img src="images/2ndmenu_mark.gif" width="19" height="10" border="0" alt=""/></a></td>
        			<td class="secondmenuitem"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
        			</tr>
				</xsl:if>
            </xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>
